package com.koobietech.eas.service;

import com.koobietech.eas.common.result.PageDataResult;
import com.koobietech.eas.mbg.model.EasEduCategory;

import java.util.List;

public interface EasEduCategoryService {

    int addEasEduCategory( EasEduCategory easEduCategory );

    int updateEasEduCategory( EasEduCategory easEduCategory );

    int deleteById(int id);

    EasEduCategory selectById( Integer id );

    List<EasEduCategory> selectAll();

    PageDataResult selectByCondition(EasEduCategory easEduCategory );

}
